import req from '../request';

export default {
  //登录
  login: (data: any) => {
    return req({
      url: '/user/login',
      method: 'post',
      data: data,
      headers: {
        auth: false //不要鉴权
      }
    });
  },

  //退出
  logout: (data: any) => {
    return req({
      url: '/user/logout',
      method: 'get',
      data: data
    });
  },

  //获取登录信息
  getUserInfo: (data: any) => {
    return req({
      url: '/user/userinfo',
      method: 'get',
      data: data
    });
  },

  //获取班级列表
  classList: (data: any) => {
    return req({
      url: '/school/classes_list',
      method: 'get',
      data: data
    });
  },

  //获取学生列表
  studentList: (data: any) => {
    return req({
      url: '/user/student_list',
      method: 'get',
      data: data
    });
  },

  //获取百度语音token
  baiduToken: (data: any) => {
    return req({
      url: '/bdapi_token',
      method: 'get',
      data: data
    });
  }
};
